/**
 * Raeddi Torus Field Monitor (tm)
 */
"use strict";
this.name        = "torus-field-equipment.raeddi.alaric";
this.author      = "Alaric";
this.copyright   = "2016 Alaric";
this.description = "Raeddi Systems Ltd. Torus Field Monitor";
this.licence     = "CC BY-NC-SA 3.0 AU";


/* Raeddi Systems Ltd. equipment is always available at Raeddi, Galaxy 4 */
this.$const =
{
	raeddiGalaxy:	3,
	raeddiSystem:	57
};

this.allowAwardEquipment = function(eqKey, ship, context)
{
	
	log(this.name, eqKey + " " + context);

	switch (context)
	{
	case "newShip" :
		
		/* conditions for context "newShip" */

		switch (eqKey)
		{
		case "EQ_TORUS_FIELD_MONITOR" :
			return !ship.hasEquipmentProviding("EQ_TORUS_FIELD_ANALYSER");

		case "EQ_TORUS_FIELD_ANALYSER" :
			return !ship.hasEquipmentProviding("EQ_TORUS_FIELD_MONITOR");

		case "EQ_TORUS_FIELD_MONITOR_UPGRADE" :
			return false;

		default:
			return true;
		}

		break;


	case "npc" :
		
		/* conditions for context "npc" */
		return false;

		// allow scripts to add whatever
	case "scripted" :
		return true;
		
	case "purchase" :

		/* Raeddi Systems Ltd. equipment is always available at Raeddi, Galaxy 4 */
		if (galaxyNumber === this.$const.raeddiGalaxy && system.ID === this.$const.raeddiSystem) return true;

		

		switch (eqKey)
		{
		case "EQ_TORUS_FIELD_MONITOR" :
			return (system.techLevel >= 8 && system.techLevel <= 10);
			
		case "EQ_TORUS_FIELD_MONITOR_UPGRADE" :
			return (system.techLevel >= 11 && system.techLevel <= 12);
			
		case "EQ_TORUS_FIELD_ANALYSER" :
			log (this.name, system.techLevel);
			return (system.techLevel >= 13);
		}

		break;
		

	default :
		log(this.name, "WARNING: this.allowAwardEquipment called with unknown context (" + eqKey + ") - returning true.");
		log(this.name, "WARNING: this.allowAwardEquipment called with unknown context (" + context + ") - returning true.");
		return false;
	}

	return true;
}